lkml.org 
[lkml]   [2005]   [Jun]   [25]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
Patch in this message
/
Date
From
SubjectRe: [ANNOUNCE] ORT - Oops Reporting Tool
Paolo Ciarrocchi wrote:
>
> The commands that are requiring root capabilties are:
> lspci -vvv
> lsusb -v

i still dislike the idea being forced to be root, does the attached patch
looks ok?

thank you,
Christian.

--
BOFH excuse #211:

Lightning strikes.
--- ort/ort.sh.orig 2005-06-25 23:42:22.000000000 +0200
+++ ort/ort.sh 2005-06-25 23:54:32.000000000 +0200
@@ -34,7 +34,6 @@ EM_CLI=mutt

help() {
echo "Usage: [root@mylinuxbox ~]$ ./ort.sh oops.txt"
- echo "You need to be root [uid=0] to run the script"
exit 1
}

@@ -53,7 +52,12 @@ cmd_line() {
check_uid() {
if [ $UID != "0" ]
then
- help
+ echo -n "You should be root [uid=0] to run the script, continue? [y,n] "
+ read c
+ if [ "$c" != "y" ]; then
+ echo "Aborted."
+ exit 1
+ fi
fi
}

@@ -274,7 +278,7 @@ point_7_4() {

point_7_5() {
echo -e "\n[7.5.] PCI information" >> $ORT_F
- lspci -vvv >> $ORT_F
+ env PATH=/bin:/usr/bin:/sbin:/usr/sbin lspci -vvv >> $ORT_F
}

point_7_6() {
@@ -286,7 +290,7 @@ point_7_6() {

point_7_7() {
echo -e "\n[7.7.] USB information" >> $ORT_F
- lsusb -v >> $ORT_F
+ env PATH=/bin:/usr/bin:/sbin:/usr/sbin lsusb -v >> $ORT_F
}

point_7_8() {
\
 
 \ /
  Last update: 2005-06-26 00:05    [W:0.057 / U:0.068 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site